PETSc version 3.15.5
Fix/Edit manual page

# VecSetPinnedMemoryMin

Set the minimum data size for which pinned memory will be used for host (CPU) allocations.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetPinnedMemoryMin(Vec v,size_t mbytes)

Logically Collective on Vec

### Input Parameters

| v | - the vector
| mbytes | - minimum data size in bytes

### Options Database Keys

| -vec_pinned_memory_min <size> | - minimum size (in bytes) for an allocation to use pinned memory on host. Note that this takes a PetscScalar, to accommodate large values; specifying -1 ensures that pinned memory will never be used.

### See Also

VecGetPinnedMemoryMin()

### Level

developer

### Location

src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages